Comment 15 for bug 2002407

Revision history for this message
Lucas Albuquerque Medeiros de Moura (lamoura) wrote :

I have verified this bug with the following script:

---------------------------------
#!/bin/bash
set -e

series=$1
token=$2
name=$series-dev

cleanup () {
  lxc delete $name --force
}

on_err () {
  echo -e "Test Failed"
  cleanup
  exit 1
}

trap on_err ERR

lxc launch ubuntu-daily:$series $name
sleep 10

echo "##############################"
echo "Update to latest version of pro (27.12)"
lxc exec $name -- sudo apt-get update > /dev/null
lxc exec $name -- sudo apt-get install ubuntu-advantage-tools -y > /dev/null
lxc exec $name -- apt-cache policy ubuntu-advantage-tools
echo -e "##############################\n"

echo "##############################"
echo "Attach to Pro subscription"
lxc exec $name -- sudo pro attach $token
echo -e "##############################\n"

echo "##############################"
echo "Run pro security-status (Verify that the esm-infra date is incorrect)"
lxc exec $name -- pro security-status
echo -e "##############################\n"

echo "##############################"
echo "Installing package from proposed"
lxc exec $name -- sh -c "echo \"deb http://archive.ubuntu.com/ubuntu $series-proposed main\" | tee /etc/apt/sources.list.d/proposed.list"
lxc exec $name -- sudo apt-get update > /dev/null
lxc exec $name -- sudo apt-get install ubuntu-advantage-tools -y > /dev/null
lxc exec $name -- apt-cache policy ubuntu-advantage-tools
echo -e "##############################\n"

echo "##############################"
echo "Run pro security-status (Verify that the esm-infra date is now correct)"
lxc exec $name -- pro security-status
echo "##############################"

cleanup
----------------------------------

And I can confirm that `pro security-status` is working as expected.
PS: Note we will not see dates wrong dates on Xenial, is it already ESM and Kinetic does not have esm-infra support